package cn.com.qmth.examcloud.core.reports.api.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.reports.api.ExamStudentCountCloudService;
import cn.com.qmth.examcloud.core.reports.api.request.AddOrUpdateExamStudentCountReq;
import cn.com.qmth.examcloud.core.reports.api.response.AddOrUpdateExamStudentCountResp;

@Service
public class ExamStudentCountCloudServiceClient extends AbstractCloudClientSupport implements ExamStudentCountCloudService {

	/**
	 * 
	 */
	private static final long serialVersionUID = -9156270063549284851L;

	@Override
	public AddOrUpdateExamStudentCountResp addOrUpdateCount(AddOrUpdateExamStudentCountReq req) {
		return post("studentCount/addOrUpdateCount", req, AddOrUpdateExamStudentCountResp.class);
	}

}
